Package org.gradle.api.plugins.quality

## Class JDependExtension

- java.lang.Object
- - org.gradle.api.plugins.quality.CodeQualityExtension
  - - org.gradle.api.plugins.quality.JDependExtension

-     @Deprecated
      public class JDependExtension
      extends CodeQualityExtension

  Deprecated.
  JDepend is unmaintained and does not support bytecode compiled for Java 8 and above.
  Configuration options for the JDepend plugin.
  See Also:
    `JDependPlugin`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JDependExtension()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.gradle.api.plugins.quality.CodeQualityExtension

      `getReportsDir, getSourceSets, getToolVersion, isIgnoreFailures, setIgnoreFailures, setReportsDir, setSourceSets, setToolVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDependExtension

          public JDependExtension()

      Deprecated.